Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 291860 - Mailing lists that are considered inactive should be marked on the website
Summary: Mailing lists that are considered inactive should be marked on the website
Status: RESOLVED FIXED
Alias: None
Product: Websites
Classification: Unclassified
Component: Other (show other bugs)
Hardware: All Linux
: High normal with 1 vote (vote)
Assignee: Gentoo Infrastructure
URL: http://www.gentoo.org/main/en/lists.xml
Whiteboard:
Keywords:
: 334541 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-11-04 14:50 UTC by Allen Brooker (AllenJB)
Modified: 2015-03-10 20:47 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
lists.xml.patch (lists.xml.patch,7.21 KB, text/plain)
2010-07-27 00:01 UTC, Jeremy Olexa (darkside) (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Allen Brooker (AllenJB) 2009-11-04 14:50:42 UTC
There are a lot of lists on the mailing lists page on the website and I'm sure many of them are really no longer used (for example the webpage for the Extreme Security project no longer exists).

Lists which are considered inactive should be either marked as such (perhaps an extra column) or put into a separate table.
Comment 1 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-04-07 18:06:31 UTC
AllenJB, Can you make a list of what you think should be marked inactive and what criteria you used (X months with no post, etc)
Comment 2 Allen Brooker (AllenJB) 2010-04-07 18:46:25 UTC
I haven't done any detailed analysis - I don't have access to subscriber lists, which may help determine how dead lists are, and don't have time to go through all the archives to look at when the most recent postings were and what they were.

I already gave one example (tho a quick grep shows that one does appear to have been remove). A few more at glance:
- Two lists I would pick out straight away are gmn and cygwin (last on-topic posts was 2008).
- scire hasn't seen any real activity since 2007 (ignoring the quickstart anouncement, which I believe was cross-posted to quite a few lists).
- nx doesn't even seem to have an entry on the official archives, so at a guess nothing has ever been posted to that list.
- uk hasn't seen activity in 2 years.

The point is that if users want help, one of the methods they turn to is the mailing lists. But what use is posting to a mailing list that's inactive?

Removing or marking dead lists would help users to find the active lists relevant to their interests much more quickly.
Comment 3 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-04-08 19:46:25 UTC
I will head this "project"

1) Present a list of MLs to close
2) Get docs-team to provide input on how to handle website
3) Send announcement to gentoo-announce/dev-announce
4) Follow through.
Comment 4 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-04-10 01:48:51 UTC
Step 1 starts here but will need further feedback on the mailing lists. I will do that early next week.

$ cat lists-remove.txt
gentoo-doc-lt
Reason: Only 1 post, late 2008

gentoo-extreme-security
Reason: Never was a real project, 1 post.

gentoo-doc-id
Reason: Only posts have been 2 spam messages.

gentoo-forum-translations
Reason: 2 posts, 2007.

gentoo-translators
Reason: 3 posts, all spam. 2008

gentoo-arm
Reason: 4 posts total, last 2006

gentoo-gwn-fr
Reason: GWN is not alive.

gentoo-gwn-pl
Reason: GWN is not alive.

gentoo-dev-lang
Reason: 7 posts total, last 2007

gentoo-ia64
Reason: Not active. last 2006

tenshi-announce
Reason: Not used, current release is .11, last used for .4 2006

gentoo-cvs
Reason: Dead, not used. Not on archive index.

gentoo-scire
Reason: Dead, last 2008 

tenshi-user
Reason: Not used, last 2006

gentoo-media
Reason: Besides spam, last used 2006

gentoo-proctors
Reason: Not used since 2007. 14 message total. Pinged jmbviscetto

gentoo-gwn-nl
Reason: GWN is not alive.

gentoo-doc-hu
Reason: Last project commit: 3 years ago, last ML 2007

gentoo-user-kr
Reason: Rarely used, last late 2009 with no reply

gentoo-doc-nl
Reason: last 2007

gentoo-gnustep
Reason: Keep but questionable. Probably be closed during next cleanup

gentoo-test
Reason: Not on archive index.

gentoo-xbox
Reason: Dead project

gentoo-cygwin
Reason: Dead Project, last 2008

gentoo-gwn-de
Reason: GWN is not alive.

gnap-dev
Reason: Dead Project, some life recent but..?

www-redesign
Reason: Dead Project

gentoo-gwn
Reason: Dead project

gentoo-installer
Reason: Dead project

gentoo-performance
Reason: Not active, recent spam

gentoo-osx
Reason: Dead project

Josh: I want you to be in the loop here because lists.xml is going to need some work explaining that these lists are archived but closed for new posts. I'm hoping you can help wordsmith the page for me. This is pending discussion so no action needs to happen now (ETA 2 weeks out).
Comment 5 Roy Bamford gentoo-dev 2010-04-19 19:01:49 UTC
There is/was talk of reviving the website redesign project, so maybe give www-redesign a stay of execution until a decision has been reached on that.
Comment 6 nico 2010-04-21 16:23:42 UTC
How about a gentoo-misc list to replace the low traffic and inactive ones? It would also be good for new projects that may or may not work out. There shouldn't be any problems as long as subjects start with "[whatever]" and people use filters.
Comment 7 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-04-28 19:02:10 UTC
(In reply to comment #5)
> There is/was talk of reviving the website redesign project, so maybe give
> www-redesign a stay of execution until a decision has been reached on that.

We can re-open it later.

(In reply to comment #6)
> How about a gentoo-misc list to replace the low traffic and inactive ones? It
> would also be good for new projects that may or may not work out. There
> shouldn't be any problems as long as subjects start with "[whatever]" and
> people use filters.

Sounds like chaos to me mainly because there is no good archiving/search solution.

(In reply to comment #3)
> I will head this "project"
> 
> 1) Present a list of MLs to close
> 2) Get docs-team to provide input on how to handle website
> 3) Send announcement to gentoo-announce/dev-announce
> 4) Follow through.
> 

1 & 3 are done. Need to follow through with updated lists.xml page and infra closing the lists for new posts.
Comment 8 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-07-26 04:27:08 UTC
Paweł seems[1] to be interested in this.

Update: Still waiting for infra action to close lists in comment #4.

[1]: http://archives.gentoo.org/gentoo-dev-announce/msg_dd23ba04ecb35f9020198556dc1b965a.xml
Comment 9 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-07-27 00:01:40 UTC
Created attachment 240245 [details]
lists.xml.patch

Josh, this can be applied before the lists are actually closed, if you want :)
Comment 10 nm (RETIRED) gentoo-dev 2010-07-27 00:19:29 UTC
(In reply to comment #9)
> Created an attachment (id=240245) [details]
> lists.xml.patch
> 
> Josh, this can be applied before the lists are actually closed, if you want

Done. Thanks for the patch.
Comment 11 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-08-26 12:45:53 UTC
*** Bug 334541 has been marked as a duplicate of this bug. ***
Comment 12 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2010-09-10 00:20:55 UTC
The following lists are now closed per the request here.
The gmn/gwn lists have always been aliases for each other, so are closed to fill this request. I have also closed the gwn-admin{,-de,-es} lists.

gentoo-arm
gentoo-cvs
gentoo-cygwin
gentoo-dev-lang
gentoo-doc-hu
gentoo-doc-id
gentoo-doc-lt
gentoo-doc-nl
gentoo-extreme-security
gentoo-forum-translations
gentoo-gmn
gentoo-gmn-admin
gentoo-gmn-admin-de
gentoo-gmn-admin-es
gentoo-gmn-de
gentoo-gmn-es
gentoo-gmn-fr
gentoo-gmn-nl
gentoo-gmn-pl
gentoo-gnustep
gentoo-gwn
gentoo-gwn-admin
gentoo-gwn-admin-de
gentoo-gwn-admin-es
gentoo-gwn-de
gentoo-gwn-es
gentoo-gwn-fr
gentoo-gwn-nl
gentoo-gwn-pl
gentoo-ia64
gentoo-installer
gentoo-media
gentoo-osx
gentoo-performance
gentoo-proctors
gentoo-scire
gentoo-test
gentoo-translators
gentoo-user-kr
gentoo-xbox
gnap-dev
tenshi-announce
tenshi-user
www-redesign
Comment 13 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2010-09-10 00:21:41 UTC
Please research the following lists and tell me if they can be closed as well.
They were present on the list server and archives, but NOT on the lists.xml page.

gentoo-biz
gentoo-devconference
gentoo-docs-review
gentoo-guis
gentoo-hardened-dev
gentoo-kbase
gentoo-managers
gentoo-nx
gentoo-ops
gentoo-palooza
gentoo-ppc-stable
gentoo-tinderbox
Comment 14 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2011-06-09 07:25:48 UTC
(In reply to comment #13)
> gentoo-biz
> gentoo-devconference
> gentoo-docs-review
> gentoo-guis
> gentoo-hardened-dev
> gentoo-kbase
> gentoo-managers
> gentoo-nx
> gentoo-ops
> gentoo-palooza
> gentoo-ppc-stable
> gentoo-tinderbox
No news about the above lists still.
Comment 15 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2015-03-10 20:47:53 UTC
Listing was cleaned by Jorge.